# frozen_string_literal: true

require "colorize"
require_relative "file_scanner/client"
require_relative "file_scanner/version"

module FileScanner # :nodoc:
  # @param [String] dir Directory to be processed
  # @param [Hash] options
  # @option options [Boolean] :nested Specify if nested directories should be scanned
  # @option options [String] extension Extension of filenames to be selected. Defaults to "*.mp4"
  def self.new(dir, **options)
    Client.new(dir, **options)
  end
end
